VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Classes | Namespaces | Typedefs | Enumerations | Functions | Variables
ivstchannelcontextinfo.h File Reference
`#include "pluginterfaces/vst/vsttypes.h"`
`#include "pluginterfaces/vst/ivstattributes.h"`
`#include "pluginterfaces/base/falignpush.h"`
`#include "pluginterfaces/base/falignpop.h"`

## Classes
class | IInfoListener
| Channel context interface: Vst::IInfoListener. More...

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst
| All VST specific interfaces are located in Vst namespace.
namespace | Steinberg::Vst::ChannelContext
| For Channel Context Info Interface.

## Typedefs
typedef uint32 | ColorSpec
| ARGB (Alpha-Red-Green-Blue) More...
typedef uint8 | ColorComponent

## Enumerations
enum | ChannelPluginLocation { kPreVolumeFader = 0 , kPostVolumeFader , kUsedAsPanner }
| Values used for kChannelPluginLocationKey. More...

## Functions
ColorComponent | GetBlue (ColorSpec cs)
| Returns the Blue part of the given ColorSpec. More...
ColorComponent | GetGreen (ColorSpec cs)
| Returns the Green part of the given ColorSpec. More...
ColorComponent | GetRed (ColorSpec cs)
| Returns the Red part of the given ColorSpec. More...
ColorComponent | GetAlpha (ColorSpec cs)
| Returns the Alpha part of the given ColorSpec. More...

## Variables
const CString | kChannelUIDKey = "channel uid"
| Keys used as AttrID (Attribute ID) in the return IAttributeList of IInfoListener::setChannelContextInfos More...
const CString | kChannelUIDLengthKey = "channel uid length"
| integer (int64) [optional]: number of characters in kChannelUIDKey More...
const CString | kChannelNameKey = "channel name"
| string (TChar) [optional]: name of the channel like displayed in the mixer More...
const CString | kChannelNameLengthKey = "channel name length"
| integer (int64) [optional]: number of characters in kChannelNameKey More...
const CString | kChannelColorKey = "channel color"
| color (ColorSpec) [optional]: used color for the channel in mixer or track More...
const CString | kChannelIndexKey = "channel index"
| integer (int64) [optional]: index of the channel in a channel index namespace, start with 1 not * 0! More...
const CString | kChannelIndexNamespaceOrderKey = "channel index namespace order"
| integer (int64) [optional]: define the order of the current used index namespace, start with 1 not 0! For example: index namespace is "Input" -> order 1, index namespace is "Channel" -> order 2, index namespace is "Output" -> order 3 More...
const CString | kChannelIndexNamespaceKey = "channel index namespace"
| string (TChar) [optional]: name of the channel index namespace for example "Input", "Output", "Channel", ... More...
const CString | kChannelIndexNamespaceLengthKey = "channel index namespace length"
| integer (int64) [optional]: number of characters in kChannelIndexNamespaceKey More...
const CString | kChannelImageKey = "channel image"
| PNG image representation as binary [optional]. More...
const CString | kChannelPluginLocationKey = "channel plugin location"
| integer (int64) [optional]: routing position of the plug-in in the channel (see ChannelPluginLocation) More...

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.